package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Customer_informationRepository;
import com.realnet.basicp1.Entity.Customer_information
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;












































	import org.springframework.stereotype.Service;

@Service
 public class Customer_informationService {
@Autowired
private Customer_informationRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











































public Customer_information Savedata(Customer_information data) {












































	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Customer_information save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Customer_information> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Customer_information> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Customer_information> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Customer_information getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Customer_information update(Customer_information data,Integer id) {
	Customer_information old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

old.setVisa_entry_type(data.getVisa_entry_type());

old.setVisa_duration(data.getVisa_duration());

old.setVisa_processing(data.getVisa_processing());

old.setTravel_start_date(data.getTravel_start_date());

old.setTravel_end_date(data.getTravel_end_date());

old.setPassport_number(data.getPassport_number());

old.setPassport_issue_date(data.getPassport_issue_date());

old.setPassport_expiry_date(data.getPassport_expiry_date());

old.setEmail_field(data.getEmail_field());

old.setPhone_number(data.getPhone_number());

old.setBirth_place(data.getBirth_place());

old.setDate_of_birth(data.getDate_of_birth());

old.setGender(data.getGender());

old.setProfession(data.getProfession());

old.setVisa_cost(data.getVisa_cost());

old.setReferrer(data.getReferrer());

old.setNationality(data.getNationality());

old.setSupplier(data.getSupplier());

old.setAgent(data.getAgent());

final Customer_information test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












































 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
